/*******************************************************************************
 * Copyright (c) 2016 1C-Soft LLC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Vladimir Piskarev (1C) - initial API and implementation
 *******************************************************************************/
package model.impl;

import model.IHElementChangeEvent;
import model.IHElementDelta;

/**
 * TODO JavaDoc
 */
public class HElementChangeEvent
    implements IHElementChangeEvent
{
    private final int type;
    private final IHElementDelta delta;
    
    public HElementChangeEvent(int type, IHElementDelta delta)
    {
        this.type = type;
        this.delta = delta;
    }

    @Override
    public int getType()
    {
        return type;
    }

    @Override
    public IHElementDelta getDelta()
    {
        return delta;
    }
}
