/*******************************************************************************
 * Copyright (c) 2016 1C-Soft LLC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Vladimir Piskarev (1C) - initial API and implementation
 *******************************************************************************/
package model.impl;

import org.eclipse.core.resources.IResourceDelta;

import model.IHElement;
import model.IHElementDelta;

/**
 * TODO JavaDoc
 */
public interface IHElementDeltaImpl
{
    IHElement hElement();
    
    int hKind();
    
    long hFlags();
    
    IHElementDelta[] hAffectedChildren();
    
    /**
     * TODO JavaDoc
     *
     * @return the resource deltas, or <code>null</code> if none.
     *  Clients <b>must not</b> modify the returned array.
     */
    IResourceDelta[] hResourceDeltas();
    
    void hAddResourceDelta(IResourceDelta resourceDelta);
}
