/*******************************************************************************
 * Copyright (c) 2016 1C-Soft LLC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Vladimir Piskarev (1C) - initial API and implementation
 *******************************************************************************/
package model.test;

import org.eclipse.core.runtime.CoreException;

import model.IHElement;
import model.IHElementMirror;
import model.util.Util;

/**
 * TODO JavaDoc
 */
public interface IFooElement
    extends IHElement, IHElementMirror
{
    IFooElement[] EMPTY_ARRAY = new IFooElement[0];

    @Override
    default IFooElement getParent()
    {
        return (IFooElement)IHElementMirror.super.getParent();
    }

    @Override
    default IFooElement[] getChildren() throws CoreException
    {
        return Util.convert(IHElementMirror.super.getChildren(), EMPTY_ARRAY);
    }
}
