/*******************************************************************************
 * Copyright (c) 2016 1C-Soft LLC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Vladimir Piskarev (1C) - initial API and implementation
 *******************************************************************************/
package model.test3;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;

import model.impl.IHSourceFileImpl;

/**
 * TODO JavaDoc
 */
public interface IFooSourceFile
    extends IFooSourceElement
{
    int FORCE_PROBLEM_DETECTION = 1;

    default void reconcile(int flags, IProgressMonitor monitor)
        throws CoreException
    {
        boolean force = (flags & FORCE_PROBLEM_DETECTION) != 0;
        ((IHSourceFileImpl)this).hReconcile(force, Integer.valueOf(flags),
            monitor);
    }
}
