/*******************************************************************************
 * Copyright (c) 2016 1C-Soft LLC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Vladimir Piskarev (1C) - initial API and implementation
 *******************************************************************************/
package model.test;

import model.IHElementDelta;
import model.IHElementDeltaMirror;
import model.util.Util;

/**
 * TODO JavaDoc
 */
public interface IFooElementDelta
    extends IHElementDelta, IHElementDeltaMirror
{
    IFooElementDelta[] EMPTY_ARRAY = new IFooElementDelta[0];

    @Override
    default IFooElement getElement()
    {
        return (IFooElement)IHElementDeltaMirror.super.getElement();
    }

    @Override
    default IFooElementDelta[] getAffectedChildren()
    {
        return Util.convert(IHElementDeltaMirror.super.getAffectedChildren(),
            EMPTY_ARRAY);
    }
}
