/*******************************************************************************
 * Copyright (c) 2016 1C-Soft LLC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Vladimir Piskarev (1C) - initial API and implementation
 *******************************************************************************/
package model.util;

import java.util.Arrays;

/**
 * TODO JavaDoc
 */
public class Util
{
    public static <T> T[] convert(Object[] array, T[] emptyArray)
    {
        if (array.length == 0)
            return emptyArray;
        @SuppressWarnings("unchecked")
        T[] result = (T[])Arrays.copyOf(array, array.length,
            emptyArray.getClass());
        return result;
    }
}
